import request from '@/plugin/axios'


// 房间树
export function RoomTreeNodeAll (data) {
  return request({
    url: '/dormitoryComm/roomTree',
    method: 'post',
    data
  })
}
// 列表展示
export function getRoomMessageList (data) {
  return request({
    url: '/roomManage/listByPage',
    method: 'post',
    data
  })
}
// 所属楼栋下拉框
export function getTowerOptions (data) {
  return request({
    url: '/dormitoryComm/building',
    method: 'post',
    data
  })
}
// 修改保存 saveOrUpdataRoom
export function saveOrUpdataRoom (data) {
  return request({
    url: '/roomManage/addOrUpdate',
    method: 'post',
    data
  })
}
// 编辑回显 roomById
export function roomById (data) {
  return request({
    url: '/roomManage/get',
    method: 'post',
    data
  })
}
// 删除deleteRoomMess
export function deleteRoomMess (data) {
  return request({
    url: '/roomManage/batchOrOneDel',
    method: 'post',
    data
  })
}

